harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oleg Khaschansky" <oleg.v.khaschan...@gmail.com>
Subject Re: [classlib][build]Lacks liblcms.a libpng.a and etc on Linux and recommend to add them to fetch-depends target
Date Mon, 04 Dec 2006 14:54:07 GMT
> I don't have this file either. Do you mean icu library headers?
No, this header is from lcms.

> I think the build for classlib was changed to use lib*.so libraries
> instead of static ones. Do you use up to date revision?
I don't think so. JPEG decoder doesn't use native wrappers and links
statically against libjpeg.

On 12/2/06, Gregory Shimansky <gshimansky@gmail.com> wrote:
> Naveen Neelakantam wrote:
> > Hello Gregory,
> >
> > I am trying to build DRLVM+classlibs on RedHat Enterprise Linux 4 update
> > 4, and am having the similar problems to Leo.  I cannot find any
> > official package which provides icc34.h (I've tried searching with
> > up2date).
>
> I don't have this file either. Do you mean icu library headers?
>
> > An even more annoying problem exists on Fedora Core 5 because the
> > libjpeg-devel package does not contain "/usr/lib/libjpeg.a"
> >
> > Does you previous offer to help still stand?  Any help would be much
> > appreciated.
>
> I think the build for classlib was changed to use lib*.so libraries
> instead of static ones. Do you use up to date revision?
>
> Do you have all necessary devel packages installed? I think classlib
> docs should list the packages that are necessary to build it.
>
> > On Oct 11, 2006, at 6:57 PM, Gregory Shimansky wrote:
> >
> >> On Wednesday 11 October 2006 05:28 Leo Li wrote:
> >>> But I cannot find the rpm for liblcms.a and icc34.h in the CD. There
> >>> is no
> >>> liblcms*.rpm or lcms*.rpm.  And what do you mean official mirror, the
> >>> redhat site?
> >>>
> >>> Although I admit rpmfind is not a good way, but it really works after I
> >>> installed all the necessary packages and put the required files to the
> >>> appropriate position.
> >>>
> >>> At least Harmony should gives some hints, for example, which rpm is
> >>> required and where to get them. Since not every body is an expert of
> >>> rpm,
> >>> and aware of  the relationship between the required files and rpms,
> >>> as well
> >>> as their versions, as you said, "the rpm hell".
> >>
> >> Yes I agree that there should be some necessary library requirements for
> >> building all of the harmony components, and these requirements should be
> >> described in some place. This was agreed in another branch of this
> >> thread.
> >>
> >> As to rpm packages, send me a email directly, please write which
> >> version of
> >> redhat you have installed. I am sure I can help you with installing the
> >> necessary packages.
> >>
> >> --Gregory Shimansky, Intel Middleware Products Division
> >>
> >> ---------------------------------------------------------------------
> >> Terms of use : http://incubator.apache.org/harmony/mailing.html
> >> To unsubscribe, e-mail: harmony-dev-unsubscribe@incubator.apache.org
> >> For additional commands, e-mail: harmony-dev-help@incubator.apache.org
> >>
> >
> >
>
>
> --
> Gregory
>
>

Mime
View raw message